Bug 4324 - ServiceContainer reports failed startup at incorrect severity
: ServiceContainer reports failed startup at incorrect severity
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: 4.0.1
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-04-05 11:33 by
Modified: 2006-04-18 22:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-04-05 11:33:56

    
------- Comment #1 From 2006-04-05 11:40:24 -------
The service container won't report a stack trace unless started with -debug, or
its logging level is set to debug.  As it is possible to crash the container
with an incorrecrtly configured service (that throws an exception on
initialisation), it is better to report the exception at a higher severity.  

This way, it will be reported with the default configuration of log4j.  As the
container has just crashed, I suggest the 'fatal' level.

Patch:
RCS file:
/home/globdev/CVS/globus-packages/wsrf/java/core/source/src/org/globus/wsrf/container/ServiceContainer.java,v
retrieving revision 1.48.2.3
diff -u -r1.48.2.3 ServiceContainer.java
--- ServiceContainer.java       5 Jul 2005 20:36:02 -0000       1.48.2.3
+++ ServiceContainer.java       5 Apr 2006 16:35:50 -0000
@@ -422,7 +422,7 @@
             }

         } catch (Exception e) {
-            logger.debug(i18n.getMessage("startServerError", e.getMessage()),
+            logger.fatal(i18n.getMessage("startServerError", e.getMessage()),
                          e);
             if (debug) {
                 e.printStackTrace();
------- Comment #2 From 2006-04-18 22:30:29 -------
Actually, I think I'm going to remove that logging statement alltogether as the
error is reported (in short or long form) on stderr.
------- Comment #3 From 2006-04-18 22:52:12 -------
I removed the debug statement from code. Changes committed to trunk &
globus_4_0_branch.